perl >= 5.26 dropping "." from @INC

Create issue
Issue #1970 closed
Roland Haas created an issue

New version of perl will no longer include "." from @INC by default. This causes out perl code that uses "require 'lib/sbin/XXX.pl'" to fail.

Since this will affect the release version a patch needs to be backported.

See https://lists.debian.org/debian-devel-announce/2016/08/msg00013.html Note that this is not Debian specific but affects all Perl packages.

I will prepare a patch.

Keyword: backport

Comments (8)

  1. Roland Haas reporter
    • removed comment

    This should still be reviewed, please. Steve's suggestion of setting PERL5PATH is not a long term solution (though a good workaround for affected users).

  2. Frank Löffler
    • assigned issue to
    • removed comment

    I feel Steve should have the 'authority' here, given that he is the Perl expect among us, and we discussed it in person as well. Steve: could you please review the patch?

  3. Frank Löffler
    • removed milestone
    • removed comment

    Merged into development. Keeping open for a patch for a release.

  4. Log in to comment